#ifdef _STDAFX_H
#error Double include
#endif
#define _STDAFX_H

#define WIN32_LEAN_AND_MEAN
#define __AFXWIN_H__

#include <StdIO.h>
#include <StdLib.h>
#include <String.h>
#include <ConIO.h>
#include <Direct.h>

#define random(q)       ((int)(((long)rand()*(q))/0x8000u))
#define TRACE0(x)       printf (x)
#define TRACE1(x,a)     printf (x,a)
#define TRACE2(x,a,b)   printf (x,a,b)
#define TRACE3(x,a,b,c) printf (x,a,b,c)
#define LogicalError {  printf ("*** Error in line %d ***\n", __LINE__); \
                        theApp.runlevel = Run_LogError;                  }

typedef char     BYTE;
typedef char     UCHAR;
typedef unsigned DWORD;
typedef unsigned ULONG;
typedef unsigned CString;

enum errors {
    Run_OK,
    Run_Abort,
    Run_MemError,
    Run_LogError,
    Run_FileError
};

class CPieterApp {
    public:
    unsigned    runlevel;
    FILE        *MediaLib;
    char        HomeDir         [10];
    void        InitStrTable    (void);
    inline void DebugMessage    (char* text, bool a=false, bool b=false) { TRACE0 (text); }
    void        ChangeDirectory (char* path) { chdir  (path); }
};

extern CPieterApp theApp;
extern unsigned   MediaRef [];
extern char*      MkStr    (long);

//{{AFX_INSERT_LOCATION}}
